### Virtual Method

# WebKit2WebExtension DOMEventTarget add_event_listener

#### Declaration [src]

    gboolean
    add_event_listener (
      WebKitDOMEventTarget* target,
      const char* event_name,
      GClosure* handler,
      gboolean use_capture
    )

#### Description

No description available.

#### Parameters

`event_name` | `const char*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`handler` | `GClosure`
| No description available.
| The data is owned by the caller of the function.
`use_capture` | `gboolean`
| No description available.

#### Return value

Returns: | `gboolean`
| No description available.